/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSRuleList_H__
#define __GdomCSSRuleList_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSRule.h"
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSRuleList GdomCSSRuleList;
typedef struct _GdomCSSRuleListClass GdomCSSRuleListClass;


#define GDOM_TYPE_CSS_RULE_LIST            (gdom_css_rule_list_get_type())
#define GDOM_CSS_RULE_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_RULE_LIST, GdomCSSRuleList))
#define GDOM_CSS_RULE_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_RULE_LIST, GdomCSSRuleList)Class)
#define GDOM_IS_CSS_RULE_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_RULE_LIST))
#define GDOM_IS_CSS_RULE_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_RULE_LIST))
#define GDOM_CSS_RULE_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_RULE_LIST, GdomCSSRuleListClass))

typedef struct _GdomCSSRuleListPrivate GdomCSSRuleListPrivate;

struct _GdomCSSRuleList {
    GdomDOMObject parent_instance;
    GdomCSSRuleListPrivate *priv;
};

struct _GdomCSSRuleListClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_rule_list_get_type (void);

WEBKIT_API GdomCSSRule *
gdom_css_rule_list_item (GdomCSSRuleList *thiz, gulong index);

G_END_DECLS

#endif /* __GdomCSSRuleList_H__ */
